Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 500)
+++ plugins/pages/page.php	(revision 559)
@@ -320,18 +320,15 @@
 
 echo '<h2>'.html::escapeHTML($core->blog->name).
-' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title.'</span>';
+' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title; 
+	if ($post_id) {
+		echo ' &ldquo;'.$post_title.'&rdquo;';
+	}
+echo	'</span></h2>';
 
 if ($post_id && $post->post_status == 1) {
-	echo ' - <a id="post-preview" href="'.$post->getURL().'" class="button">'.__('View page').'</a>';
-} elseif ($post_id) {
-	$preview_url =
-	$core->blog->url.$core->url->getBase('pagespreview').'/'.
-	$core->auth->userID().'/'.
-	http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
-	'/'.$post->post_url;
-	echo ' - <a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview page').'</a>';
-}
-
-echo '</h2>';
+	echo '<p><a href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this page on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+}
+
+echo '';
 
 if ($post_id)
@@ -363,5 +360,5 @@
 
 	echo '<div id="entry-wrapper">';
-	echo '<div id="entry-content"><fieldset class="constrained">';
+	echo '<div id="entry-content"><div class="constrained">';
 	
 	echo
@@ -391,10 +388,21 @@
 	($post_id ? form::hidden('id',$post_id) : '').
 	'<input type="submit" value="'.__('Save').' (s)" '.
-	'accesskey="s" name="save" /> '.
+	'accesskey="s" name="save" /> ';
+
+	if ($post_id) {
+		$preview_url =
+		$core->blog->url.$core->url->getBase('pagespreview').'/'.
+		$core->auth->userID().'/'.
+		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
+		'/'.$post->post_url;
+		echo '<a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview').'</a>';
+	}
+	
+	echo
 	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
 	$core->formNonce().
 	'</p>';
 	
-	echo '</fieldset></div>';		// End #entry-content
+	echo '</div></div>';		// End #entry-content
 	echo '</div>';		// End #entry-wrapper
 
@@ -570,5 +578,5 @@
 	
 	'<form action="comment.php" method="post" id="comment-form">'.
-	'<fieldset class="constrained">'.
+	'<div class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
@@ -590,5 +598,5 @@
 	$core->formNonce().
 	'<input type="submit" name="add" value="'.__('Save').'" /></p>'.
-	'</fieldset>'.
+	'</div>'.
 	'</form>'.
 	'</div>';
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 500)
+++ plugins/tags/tag_posts.php	(revision 561)
@@ -110,5 +110,5 @@
 
 <h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Edit tag'); ?></span></h2>
+<span class="page-title"><?php echo __('Edit tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;'; ?></span></h2>
 
 <?php
@@ -125,12 +125,24 @@
 		echo
 		'<form action="'.$this_url.'" method="post">'.
-		'<p><label for="new_tag_id" class="classic">'.__('Rename this tag:').' '.
+		'<div class="fieldset"><h3>'.__('Actions for this tag').'</h3>'.
+		'<p><label for="new_tag_id">'.__('Edit tag name: ').'</label>'.
 		form::field('new_tag_id',20,255,html::escapeHTML($tag)).
-		'</label> <input type="submit" value="'.__('Save').'" />'.
-		$core->formNonce().'</p>'.
+		'<input type="submit" value="'.__('Rename').'" />'.
+		$core->formNonce().
 		'</form>';
+		# Remove tag
+		if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
+			echo
+			'<form id="tag_delete" action="'.$this_url.'" method="post">'.
+			'<p class="no-margin">'.__('Delete this tag:').'</p>'.
+			'<input type="submit" class="delete" name="delete" value="'.__('Delete').'" />'.
+			$core->formNonce().
+			'</form>';
+		}
+		echo '</p></div>';
 	}
 	
 	# Show posts
+	echo '<h3>'.__('List of entries with this tag').'</h3>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="posts_actions.php" method="post" id="form-entries">'.
@@ -150,13 +162,4 @@
 	'</div>'.
 	'</form>');
-	
-	# Remove tag
-	if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
-		echo
-		'<form id="tag_delete" action="'.$this_url.'" method="post">'.
-		'<p><input type="submit" class="delete" name="delete" value="'.__('Delete this tag').'" />'.
-		$core->formNonce().'</p>'.
-		'</form>';
-	}
 }
 ?>
Index: plugins/userPref/_define.php
===================================================================
--- plugins/userPref/_define.php	(revision 464)
+++ plugins/userPref/_define.php	(revision 589)
@@ -16,5 +16,5 @@
 	/* Description*/		"Manage every user preference directive",
 	/* Author */			"Franck Paul",
-	/* Version */			'0.1'
+	/* Version */			'0.2'
 );
 ?>
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 500)
+++ plugins/userPref/index.php	(revision 589)
@@ -12,4 +12,14 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
+# Local navigation
+if (!empty($_POST['gp_nav'])) {
+	http::redirect($p_url.$_POST['gp_nav']);
+	exit;
+}
+if (!empty($_POST['lp_nav'])) {
+	http::redirect($p_url.$_POST['lp_nav']);
+	exit;
+}
+
 # Local prefs update
 if (!empty($_POST['s']) && is_array($_POST['s']))
@@ -72,5 +82,5 @@
 	return
 	'<tr>'.
-	'<td><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
+	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
 	'<td>'.$s['type'].'</td>'.
@@ -84,6 +94,22 @@
   <?php echo dcPage::jsPageTabs($part); ?>
   <style type="text/css">
-  .ns-name { background: #ccc; color: #000; padding-top: 0.3em; padding-bottom: 0.3em; font-size: 1.1em; }
+	table.prefs { border: 1px solid #999; margin-bottom: 2em; }
+	table.prefs th { background: #f5f5f5; color: #444; padding-top: 0.3em; padding-bottom: 0.3em; }
+	p.anchor-nav {float: right; }
   </style>
+	<script type="text/javascript">
+	//<![CDATA[
+	$(function() {
+		$("#gp_submit").hide();
+		$("#lp_submit").hide();
+		$("#gp_nav").change(function() {
+			window.location = $("#gp_nav option:selected").val();
+		})
+		$("#lp_nav").change(function() {
+			window.location = $("#lp_nav option:selected").val();
+		})
+	});
+	//]]>
+	</script>
 </head>
 
@@ -101,15 +127,19 @@
 
 <div id="local" class="multi-part" title="<?php echo __('user preferences'); ?>">
-<form action="plugin.php" method="post">
-<table>
-<tr>
-  <th class="nowrap">Pref ID</th>
-  <th><?php echo __('Value'); ?></th>
-  <th><?php echo __('Type'); ?></th>
-  <th class="maximal"><?php echo __('Description'); ?></th>
-</tr>
-<?php
+
+<?php 
+$table_header = '<table class="prefs" id="%s"><caption>%s</caption>'.
+'<thead>'.
+'<tr>'."\n".
+'  <th class="nowrap">Setting ID</th>'."\n".
+'  <th>'.__('Value').'</th>'."\n".
+'  <th>'.__('Type').'</th>'."\n".
+'  <th class="maximalx">'.__('Description').'</th>'."\n".
+'</tr>'."\n".
+'</thead>'."\n".
+'<tbody>';
+$table_footer = '</tbody></table>';
+
 $prefs = array();
-
 foreach ($core->auth->user_prefs->dumpWorkspaces() as $ws => $workspace) {
 	foreach ($workspace->dumpPrefs() as $k => $v) {
@@ -117,19 +147,35 @@
 	}
 }
-
 ksort($prefs);
-
+if (count($prefs) > 0) {
+	$ws_combo = array();
+	foreach ($prefs as $ws => $s) {
+		$ws_combo[$ws] = '#l_'.$ws;
+	}
+	echo 
+		'<form action="plugin.php" method="post">'.
+		'<p class="anchor-nav">'.
+		'<label for="lp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('lp_nav',$ws_combo).
+		' <input type="submit" value="'.__('Ok').'" id="lp_submit" />'.
+		'<input type="hidden" name="p" value="aboutConfig" />'.
+		$core->formNonce().'</p></form>';
+}
+?>
+
+<form action="plugin.php" method="post">
+
+<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
-	
+	echo sprintf($table_header,'l_'.$ws,$ws);
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'s',!$v['global']);
 	}
-}
-?>
-</table>
+	echo $table_footer;
+}
+?>
+
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
@@ -139,12 +185,5 @@
 
 <div id="global" class="multi-part" title="<?php echo __('global preferences'); ?>">
-<form action="plugin.php" method="post">
-<table>
-<tr>
-  <th class="nowrap">Pref ID</th>
-  <th><?php echo __('Value'); ?></th>
-  <th><?php echo __('Type'); ?></th>
-  <th class="maximal"><?php echo __('Description'); ?></th>
-</tr>
+
 <?php
 $prefs = array();
@@ -158,16 +197,34 @@
 ksort($prefs);
 
+if (count($prefs) > 0) {
+	$ws_combo = array();
+	foreach ($prefs as $ws => $s) {
+		$ws_combo[$ws] = '#g_'.$ws;
+	}
+	echo 
+		'<form action="plugin.php" method="post">'.
+		'<p class="anchor-nav">'.
+		'<label for="gp_nav" class="classic">'.__('Goto:').'</label> '.form::combo('gp_nav',$ws_combo).
+		' <input type="submit" value="'.__('Ok').'" id="gp_submit" />'.
+		'<input type="hidden" name="p" value="aboutConfig" />'.
+		$core->formNonce().'</p></form>';
+}
+?>
+
+<form action="plugin.php" method="post">
+
+<?php
 foreach ($prefs as $ws => $s)
 {
 	ksort($s);
-	echo '<tr><td colspan="4" class="ws-name">workspace: <strong>'.$ws.'</strong></td></tr>';
-	
+	echo sprintf($table_header,'g_'.$ws,$ws);
 	foreach ($s as $k => $v)
 	{
 		echo prefLine($k,$v,$ws,'gs',false);
 	}
-}
-?>
-</table>
+	echo $table_footer;
+}
+?>
+
 <p><input type="submit" value="<?php echo __('Save'); ?>" />
 <input type="hidden" name="p" value="userPref" />
Index: plugins/widgets/_public.php
===================================================================
--- plugins/widgets/_public.php	(revision 270)
+++ plugins/widgets/_public.php	(revision 671)
@@ -36,4 +36,5 @@
 	{
 		$wtype = 'widgets_'.$type;
+		$GLOBALS['core']->blog->settings->addNameSpace('widgets');
 		$widgets = $GLOBALS['core']->blog->settings->widgets->{$wtype};
 		
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 500)
+++ plugins/widgets/index.php	(revision 557)
@@ -187,5 +187,5 @@
 '</div>'.
 '</fieldset>'.
-'<p><input type="submit" class="js-remove" name="append" value="'.__('add widgets to sidebars').'" />'.
+'<p><input type="submit" class="js-remove" name="append" value="'.__('Add widgets to sidebars').'" />'.
 $core->formNonce().'</p>'.
 '</form>';
@@ -207,6 +207,6 @@
 '<p id="sidebarsControl">'.
 $core->formNonce().
-'<input type="submit" name="wup" value="'.__('update sidebars').'" /> '.
-'<input type="submit" class="reset" name="wreset" value="'.__('reset sidebars').'" /></p>'.
+'<input type="submit" name="wup" value="'.__('Update sidebars').'" /> '.
+'<input type="submit" class="reset" name="wreset" value="'.__('Reset sidebars').'" /></p>'.
 '</form>';
 
